Bug 2024514 - at least one Erratum record has migrated_pulp3_href NULL value
Summary: at least one Erratum record has migrated_pulp3_href NULL value
Keywords:
Status: CLOSED DUPLICATE of bug 2038241
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.9.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-18 08:54 UTC by Kenny Tordeurs
Modified: 2022-02-09 11:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-09 11:21:58 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)

Description Kenny Tordeurs 2021-11-18 08:54:59 UTC
Description of problem:

Upgrade from 6.9.7 to 6.10 fails with:
~~~
Switch support for certain content from Pulp 2 to Pulp 3: 
Performing final content migration before switching content
API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.
Checking for valid Katello configuraton.
Starting task.
2021-11-18 09:36:22 +0100: Importing migrated yum repositories: 41/96                                                                                                 
Content Migration completed successfully
Performing a check to verify everything that is needed has been migrated
API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.
Switching specified content over to pulp 3                            [FAIL]
Failed executing foreman-rake katello:pulp3_content_switchover, exit status 1:
 API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.
ERROR: at least one Erratum record has migrated_pulp3_href NULL value
~~~


Version-Release number of selected component (if applicable):
# rpm -qa | grep satellite-6
~~~
satellite-6.9.7-1.el7sat.noarch
~~~

How reproducible:
100% on my reproducer

Steps to Reproduce:
1. Steps from https://bugzilla.redhat.com/show_bug.cgi?id=1939090 would probably work
2.
3.

Actual results:
ERROR: at least one Erratum record has migrated_pulp3_href NULL value

Expected results:
No errors

Additional info:
This problem should have been fixed by https://access.redhat.com/errata/RHSA-2021:1313

Comment 1 Justin Sherrill 2022-01-07 16:37:20 UTC
this looks like a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=2038241

There are some steps to run to resolve it:  https://bugzilla.redhat.com/show_bug.cgi?id=2038241#c2

Comment 2 Brad Buckingham 2022-02-07 16:41:36 UTC
Hi Kenny,

Based upon Justin's feedback, do you agree that this may be a duplicate of the bug in comment 1?

Thanks!

Comment 4 Kenny Tordeurs 2022-02-09 09:38:06 UTC
@bbuckingham yup it seems that it is.

Comment 5 Brad Buckingham 2022-02-09 11:21:58 UTC
Thanks Kenny!  Based upon the feedback, I am going to close it as a duplicate.  The solution to bug 2038241 has been delivered in Satellite 6.9.8 and is also planned for upcoming releases.  If there are any concerns with the closure, please do re-open with appropriate details.

*** This bug has been marked as a duplicate of bug 2038241 ***


Note You need to log in before you can comment on or make changes to this bug.